<?php

class FP_Donation_Checkout_Function {

	// Construct the Donation Checkout Function
	public function __construct() {
		if ( get_option( '_fp_donation_display_checkout' ) == 'yes' && get_option( '_fp_donation_automatic_enable' ) != 'yes' ) {
			add_action( 'woocommerce_before_checkout_form' , array( $this , 'checkout_donation_option' ) , 1 ) ;
		}
	}

	// Checkout Donation Field

	public static function checkout_donation_option() {
		if ( is_checkout() ) {
			if ( sumo_check_global_settings_to_display_df() ) {
				?>
				<form name="fp_donation_form" method="post">
					<?php
					do_action( 'fp_donatation_form_validation_msg' ) ;
					FP_Donation_Main_Function::add_donation_amount_fields( 'checkout' ) ;
					?>
				</form>
				<?php
			}
		}
	}

}

new FP_Donation_Checkout_Function() ;
